## python-git 1.0.1+git137

=== requirements.txt ===
GitPython
gitdb>=0.6.2

## python-git 0.3.2~RC1

=== debian/changelog ===
python-git (0.3.2~RC1-3) unstable; urgency=low

  * Update Homepage to a working URL.
  * Bump Standards-Version to 3.9.5.
  * Correctly parses `git --version` when not all components are
    numeric. Closes: #722481.

 -- Vincent Bernat <bernat@debian.org>  Sat, 02 Nov 2013 01:27:18 +0100

python-git (0.3.2~RC1-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * debian/control: Change Maintainer to Python Module Team. (Closes: #705279)
    + Remove "Daniel Watkins <daniel@daniel-watkins.co.uk>" from Maintainer. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 13 May 2013 10:10:01 +0900

python-git (0.3.2~RC1-1) unstable; urgency=low

  * Team upload.
  * New upstream release
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.3.
    + debian/copyright: copyright-format 1.0
  * Add python-gitdb to Depends:.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 08 Apr 2012 21:12:50 +0900

python-git (0.3.1~beta2-1) unstable; urgency=low

  [ Andreas Noteng ]
  * Team upload.
  * Update git dependency. (Closes: #600237, #568583)
  * New upstream release. (Closes: #579553)
  * Add upstream documentation. (Closes: #523881)
  * Change source format to 3.0 (quilt)
  * Bump Standards-Version to 3.9.2
    - Remove deprecated /usr/share/common-licenses/BSD link from copyright
  * Change to DEP5 copyright

  [ Vincent Bernat ]
  * Add myself as uploader

 -- Vincent Bernat <bernat@debian.org>  Thu, 05 May 2011 23:48:19 +0200

python-git (0.1.6-1) unstable; urgency=low

  * New upstream release. (Closes: #512584)
  * Changed licensing of packaging to match upstream's license.

 -- Daniel Watkins <daniel@daniel-watkins.co.uk>  Sat, 07 Feb 2009 12:10:15 +0100

python-git (0.1.5-1) unstable; urgency=low

  * New upstream release. (Closes: #501211, #507276)
  * Added Debian Python Modules Team to Uploaders field.
  * Updated Vcs-* fields to reflect the use of the DPMT Subversion repository.
  * Removed all patches merged upstream.
  * Converted debian/rules to use debhelper 7.

 -- Daniel Watkins <daniel@daniel-watkins.co.uk>  Wed, 07 Jan 2009 14:04:00 +0000

python-git (0.1.4.1-2) unstable; urgency=low

  * Fixed the synopsis to work as an appositive clause in a sentence, as per
    Section 6.2.2 of the Developer Reference.
  * Added patch so that git.Repo.create and git.Repo.init_bare now create a
    bare repository, as intended. (Closes: #494581)
  * Added Vcs-Bzr control field.

 -- Daniel Watkins <daniel@daniel-watkins.co.uk>  Mon, 18 Aug 2008 19:50:22 +0100

python-git (0.1.4.1-1) unstable; urgency=low

  * Initial release. (Closes: #492520)

 -- Daniel Watkins <daniel@daniel-watkins.co.uk>  Sat, 26 Jul 2008 20:48:13 +0100

=== debian/control ===
Source: python-git
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>,
	TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python, python-setuptools (>= 0.6a9),
 python-sphinx
Standards-Version: 3.9.5
Homepage: https://github.com/gitpython-developers/GitPython
XS-Python-Version: all
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-git/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-git/trunk/

Package: python-git
Architecture: all
Depends: ${python:Depends},
 git (>= 1:1.7) | git-core (>= 1:1.5.3.7),
 ${misc:Depends},
 libjs-jquery,
 python-gitdb (>= 0.5.1)
Description: Python library to interact with Git repositories
 python-git provides object model access to a Git repository, so Python can be
 used to manipulate it. Repository objects can be opened or created, which can
 then be traversed to find parent commit(s), trees, blobs, etc.
XB-Python-Version: ${python:Versions}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

override_dh_installdocs:
	dh_installdocs -Xjquery.js -X_sources

%:
	dh $@ --with python2

clean:
	rm -f lib/GitPython.egg-info/SOURCES.txt
	dh clean

DOC_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p' | sed 's/~.*//')
UPSTREAM=$(shell dpkg-parsechangelog | sed -nr 's/Version: (.*)-[^-]*/\1/p')
get-orig-source:
	uscan --download-current-version
	wget -P get-orig-source http://packages.python.org/GitPython/$(DOC_VERSION)/docs_$(DOC_VERSION).zip
	mkdir get-orig-source/doc
	unzip -d get-orig-source/doc get-orig-source/docs_$(DOC_VERSION).zip
	tar -C get-orig-source -czvf python-git_$(UPSTREAM).orig-doc.tar.gz doc/
	rm -rf get-orig-source

=== debian/watch ===
version=3
opts=uversionmangle=s/\.RC/~RC/ \
http://pypi.python.org/packages/source/G/GitPython/GitPython-(.*)\.tar\.gz \
    debian uupdate

## python-git 0.3.6+git28-g88f3dc2

=== debian/changelog ===
python-git (0.3.6+git28-g88f3dc2-1~nd13.10+1) saucy; urgency=low

  * Backported for saucy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sat, 07 Mar 2015 00:31:13 -0500

python-git (0.3.6+git28-g88f3dc2-1) experimental; urgency=medium

  * Fresh upstream snapshot with a variety of bugs fixed, e.g.
    running hooks from cwd which caused problems with annex repos
    - all up_* patches were adopted upstream, thus dropped here

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 06 Mar 2015 23:00:41 -0500

python-git (0.3.6+git5-gd8bbfea-1) experimental; urgency=medium

  * New post-release snapshot with some fixes (Closes: #769595)
    - detects untracked files correctly now (Closes: #739898)
    - includes debian/patches/dont-choke-on-rc-version.patch
  * debian/control
    - bump Standards-Version to 3.9.6
    - added python-smmap (>= 0.8.3) to Build-Depends and Suggests:
      used for testing
    - needs gitdb >= 0.6.4 -- adjusted version in *Depends
  * debian/rules
    - enable build-time testing if available on network and capable of
      cloning original GitPython repository

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 05 Feb 2015 18:44:46 -0500

=== debian/control ===
Source: python-git
Section: python
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>,
	TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python, python-setuptools (>= 0.6a9),
 python-sphinx,
 python-nose, python-smmap (>= 0.8.3~), python-gitdb (>= 0.6.4), python-mock,
 git,
Standards-Version: 3.9.6
Homepage: https://github.com/gitpython-developers/GitPython
XS-Python-Version: all
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-git/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-git/trunk/

Package: python-git
Architecture: all
Depends: neurodebian-popularity-contest, ${python:Depends},
 git (>= 1:1.7) | git-core (>= 1:1.5.3.7),
 ${misc:Depends},
 libjs-jquery,
 python-gitdb (>= 0.6.4)
Suggests:
 python-smmap
Description: Python library to interact with Git repositories
 python-git provides object model access to a Git repository, so Python can be
 used to manipulate it. Repository objects can be opened or created, which can
 then be traversed to find parent commit(s), trees, blobs, etc.
XB-Python-Version: ${python:Versions}

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export HOME=$(CURDIR)/build/test
 
 override_dh_installdocs:
 	dh_installdocs -Xjquery.js -X_sources
@@ -7,9 +9,21 @@
 %:
 	dh $@ --with python2
 
-clean:
+override_dh_auto_test:
+	: # run tests only if we can fetch original sources repository
+	-mkdir -p build/test; cd build/test; \
+         git config --global http.sslVerify false; git config --global user.name "TESTING"; git config --global user.email "TESTING@example.com"; \
+         git clone git://github.com/gitpython-developers/GitPython; \
+         cd GitPython; git submodule update --init --recursive; \
+          for i in `seq 4`; do git reset --hard HEAD~1; done; git reset --hard origin/master; touch ../go
+	[ ! -e build/test/go ] || \
+     GIT_PYTHON_TEST_GIT_REPO_BASE=$(CURDIR)/build/test/GitPython \
+	 nosetests -s -v git/test
+
+override_dh_auto_clean:
+	dh_auto_clean
 	rm -f lib/GitPython.egg-info/SOURCES.txt
-	dh clean
+	rm -rf build
 
 DOC_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p' | sed 's/~.*//')
 UPSTREAM=$(shell dpkg-parsechangelog | sed -nr 's/Version: (.*)-[^-]*/\1/p')

## python-git 1.0.1+git137-gc8b8379

=== debian/changelog ===
python-git (1.0.1+git137-gc8b8379-1) unstable; urgency=medium

  * Fresh snapshot post upstream release -- mainly bugfixes discovered
    after release. Upload to unstable (Closes: #790068)
  * debian/control
    - X-Python-Version: >= 2.7  to avoid problems on wheezy with 2.6 supported
      and then needing python-ordereddict
  * debian/rules
    - set LC_ALL=C.UTF-8 while running tests

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 17 Aug 2015 17:56:44 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-git
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>,
 	TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python, python-setuptools (>= 0.6a9),
@@ -11,13 +10,13 @@
  git,
 Standards-Version: 3.9.6
 Homepage: https://github.com/gitpython-developers/GitPython
-XS-Python-Version: all
+X-Python-Version: >= 2.7
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-git/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-git/trunk/
 
 Package: python-git
 Architecture: all
-Depends: neurodebian-popularity-contest, ${python:Depends},
+Depends: ${python:Depends},
  git (>= 1:1.7) | git-core (>= 1:1.5.3.7),
  ${misc:Depends},
  libjs-jquery,

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
          cd GitPython; git submodule update --init --recursive; \
           for i in `seq 4`; do git reset --hard HEAD~1; done; git reset --hard origin/master; touch ../go
 	[ ! -e build/test/go ] || \
+     LC_ALL=C.UTF-8 \
      GIT_PYTHON_TEST_GIT_REPO_BASE=$(CURDIR)/build/test/GitPython \
 	 nosetests -s -v git/test

## python-git 2.0.5

=== debian/changelog ===
python-git (2.0.5-1~nd0~nd70+1) wheezy; urgency=medium

  * Backported for wheezy.
  * Applied additional patch from debian/patches/wheezy-dsc-patch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 05 Jul 2016 12:32:03 -0400

python-git (2.0.5-1~nd0) neurodebian; urgency=medium

  * Reincarnate patch for wheezy backporting

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 05 Jul 2016 12:28:56 -0400

python-git (2.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * d/patches/issue470-safe-decode.patch: Added as a proposed fix for
    upstream issue #470.

 -- Barry Warsaw <barry@debian.org>  Wed, 15 Jun 2016 06:59:02 -0400

python-git (2.0.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version (note: 2.0.2 was not recorded with git-dpm)
  * debian/control
    - suggest python-git-doc in python{,3}-git pkgs (Closes: #811922)
    - added myself to uploaders since did a few already
    - boosted policy to 3.9.8

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 28 Apr 2016 11:25:09 -0400

python-git (1.0.1+git137-gc8b8379-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add python 3 support (Closes: #774903):
    - Applied patch from the BTS.
    - Added --with python3 in debian/rules.
    - Added override_dh_auto_install to also install in Py3.
  * Using a separate package for -doc, now using override_dh_sphinxdoc and
    generating the html docs properly with sphinx-build.
  * Uncommented rm -rf build in auto_clean to allow double builds.
  * Bumped compat level to 7 (as lintian is not happy...).
  * Removed X-Python-Version: >= 2.7 (as even old-stable has 2.7 by default)
    and removed obsolete debian/pycompat file.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Jan 2016 11:07:29 +0000

python-git (1.0.1+git137-gc8b8379-2) unstable; urgency=medium

  [ SVN-Git Migration ]
  * Update Vcs fields for git migration

  [ Stefano Rivera ]
  * git-dpm tag config

  [ TANIGUCHI Takaki ]
  * debian/watch: Switch to pypy.debian.net.
  * debian/rules:
    + remove target override_dh_auto_clean
    + remove target override_dh_auto_test (Closes: #805535)
  * debian/copyright: Update Source.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 29 Nov 2015 17:17:50 +0900

=== debian/control ===
Source: python-git
Section: python
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>,
           TANIGUCHI Takaki <takaki@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               git,
               python-all,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-gitdb (>= 0.6.4),
                     python-mock,
                     python-nose,
                     python-smmap (>= 0.8.3~),
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-git.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-git.git
Homepage: https://github.com/gitpython-developers/GitPython

Package: python-git
Architecture: all
Depends: neurodebian-popularity-contest, git (>= 1:1.7) | git-core (>= 1:1.5.3.7),
         python-gitdb (>= 0.6.4),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-smmap,
          python-git-doc,
XB-Python-Version: ${python:Versions}
Description: Python library to interact with Git repositories - Python 2.7
 python-git provides object model access to a Git repository, so Python can be
 used to manipulate it. Repository objects can be opened or created, which can
 then be traversed to find parent commit(s), trees, blobs, etc.
 .
 This package provides the Python 2.7 module.

Package: python-git-doc
Section: doc
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Python library to interact with Git repositories - docs
 python-git provides object model access to a Git repository, so Python can be
 used to manipulate it. Repository objects can be opened or created, which can
 then be traversed to find parent commit(s), trees, blobs, etc.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=

export HOME=$(CURDIR)/build/test

%:
	dh $@ --with python2,sphinxdoc

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source debian/python-git-doc/usr/share/doc/python-git-doc/html
	dh_sphinxdoc
endif

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-git ; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-git ; \
	done
	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth

#override_dh_auto_test:
#	: # run tests only if we can fetch original sources repository
#	-mkdir -p build/test; cd build/test; \
#         git config --global http.sslVerify false; git config --global user.name "TESTING"; git config --global user.email "TESTING@example.com"; \
#         git clone git://github.com/gitpython-developers/GitPython; \
#         cd GitPython; git submodule update --init --recursive; \
#          for i in `seq 4`; do git reset --hard HEAD~1; done; git reset --hard origin/master; touch ../go
#	[ ! -e build/test/go ] || \
#     LC_ALL=C.UTF-8 \
#     GIT_PYTHON_TEST_GIT_REPO_BASE=$(CURDIR)/build/test/GitPython \
#	 nosetests -s -v git/test

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

DOC_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p' | sed 's/~.*//')
UPSTREAM=$(shell dpkg-parsechangelog | sed -nr 's/Version: (.*)-[^-]*/\1/p')
get-orig-source:
	uscan --download-current-version
	wget -P get-orig-source http://packages.python.org/GitPython/$(DOC_VERSION)/docs_$(DOC_VERSION).zip
	mkdir get-orig-source/doc
	unzip -d get-orig-source/doc get-orig-source/docs_$(DOC_VERSION).zip
	tar -C get-orig-source -czvf python-git_$(UPSTREAM).orig-doc.tar.gz doc/
	rm -rf get-orig-source

## python-git 2.1.1

=== debian/changelog ===
python-git (2.1.1-2~nd15.10+1) wily; urgency=medium

  * Backported for wily.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 10 Mar 2017 00:51:14 -0500

python-git (2.1.1-2) unstable; urgency=medium

  * debian/patches/exe_exception.patch: Fix "import of git can cause import
    failures of unrelated modules due to undefined variable" (Closes: #857171)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 09 Mar 2017 11:37:28 +0900

python-git (2.1.1-1) unstable; urgency=medium

  * New upstream version 2.1.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 02 Feb 2017 17:15:45 +0900

python-git (2.1.0-1) unstable; urgency=medium

  * Fresh upstream release (necessary for upcoming release of datalad)
  * Require smmap and gitdb >= 2
  * Enable build-time testing back while building NeuroDebian backports

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 02 Nov 2016 08:13:11 -0400

python-git (2.0.9-1) unstable; urgency=medium

  [ Yaroslav Halchenko ]
  * debian/TODO to reincarnate testing

  [ TANIGUCHI Takaki ]
  * New upstream version 2.0.9

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 17 Oct 2016 19:46:52 +0900

python-git (2.0.8-1) unstable; urgency=medium

  * New upstream version
  * No custom patches any longer -- absorbed upstream

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 22 Sep 2016 16:09:21 -0400

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,16 @@
                python-all,
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: python-gitdb (>= 0.6.4),
+               python3-all,
+               python3-setuptools,
+Build-Depends-Indep: python-gitdb (>= 2),
                      python-mock,
                      python-nose,
-                     python-smmap (>= 0.8.3~),
+                     python-smmap (>= 2),
+                     python3-gitdb (>= 2),
+                     python3-mock,
+                     python3-nose,
+                     python3-smmap (>= 2),
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-git.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-git.git
@@ -24,7 +30,7 @@
 Package: python-git
 Architecture: all
 Depends: neurodebian-popularity-contest, git (>= 1:1.7) | git-core (>= 1:1.5.3.7),
-         python-gitdb (>= 0.6.4),
+         python-gitdb (>= 2),
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-smmap,
@@ -37,6 +43,21 @@
  .
  This package provides the Python 2.7 module.
 
+Package: python3-git
+Architecture: all
+Depends: neurodebian-popularity-contest, git (>= 1:1.7) | git-core (>= 1:1.5.3.7),
+         python3-gitdb (>= 2),
+         ${misc:Depends},
+         ${python3:Depends},
+Suggests: python-git-doc,
+XB-Python-Version: ${python3:Versions}
+Description: Python library to interact with Git repositories - Python 3.x
+ python-git provides object model access to a Git repository, so Python can be
+ used to manipulate it. Repository objects can be opened or created, which can
+ then be traversed to find parent commit(s), trees, blobs, etc.
+ .
+ This package provides the Python 3.x module.
+
 Package: python-git-doc
 Section: doc
 Architecture: all

## python-git 2.1.5

=== debian/changelog ===
python-git (2.1.5-1) unstable; urgency=medium

  * New upstream version 2.1.5
  * Bump Standards-Verision to 4.0.0 (without changes). 

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 27 Jun 2017 18:49:38 +0900

python-git (2.1.3-1) experimental; urgency=medium

  * Fresh bugfix upstream release
    - upstreamed debian/patches/exe_exception.patch

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 05 Jun 2017 22:11:58 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-git
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>,
            TANIGUCHI Takaki <takaki@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
@@ -22,14 +21,14 @@
                      python3-mock,
                      python3-nose,
                      python3-smmap (>= 2),
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-git.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-git.git
 Homepage: https://github.com/gitpython-developers/GitPython
 
 Package: python-git
 Architecture: all
-Depends: neurodebian-popularity-contest, git (>= 1:1.7) | git-core (>= 1:1.5.3.7),
+Depends: git (>= 1:1.7) | git-core (>= 1:1.5.3.7),
          python-gitdb (>= 2),
          ${misc:Depends},
          ${python:Depends},
@@ -45,7 +44,7 @@
 
 Package: python3-git
 Architecture: all
-Depends: neurodebian-popularity-contest, git (>= 1:1.7) | git-core (>= 1:1.5.3.7),
+Depends: git (>= 1:1.7) | git-core (>= 1:1.5.3.7),
          python3-gitdb (>= 2),
          ${misc:Depends},
          ${python3:Depends},
@@ -61,7 +60,7 @@
 Package: python-git-doc
 Section: doc
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends},
+Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
 Description: Python library to interact with Git repositories - docs
  python-git provides object model access to a Git repository, so Python can be

## python-git 2.1.8

=== requirements.txt ===
gitdb>=0.6.4
ddt>=1.1.1
unittest2; python_version < '2.7'

=== debian/changelog ===
python-git (2.1.8-1) unstable; urgency=medium

  * New upstream version 2.1.8 (Closes: #880446)
    - Fix "Incompatible with git 2.15?" (Closes: #879452)
  * debian/control: Replace python3-sphinx instead of python2-sphinx
  * delete debian/patches/0001-recognize-the-new-packed-ref-header-format.patch
    Upstream merged

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 20 Jan 2018 18:48:00 +0900

python-git (2.1.7-1) unstable; urgency=medium

  * New upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 06 Nov 2017 21:44:22 -0500

python-git (2.1.6-1) unstable; urgency=medium

  * New upstream release
    - fixes for submodules with names consisting of numbers and bools
    - worktree support

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 26 Sep 2017 09:13:09 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                git,
                python-all,
                python-setuptools,
-               python-sphinx,
+               python3-sphinx,
                python3-all,
                python3-setuptools,
 Build-Depends-Indep: python-gitdb (>= 2),

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,14 @@
 # -*- makefile -*-
 
 PYTHONS:=$(shell pyversions -vr)
-PYTHON3S:=
+PYTHON3S:=$(shell py3versions -vr)
+# Run tests only while building for neurodebian (~nd version suffix)
+docheck = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 | grep -q -e '~nd' && echo "docheck" || echo "nocheck" )
 
 export HOME=$(CURDIR)/build/test
 
 %:
-	dh $@ --with python2,sphinxdoc
+	dh $@ --with python2,python3,sphinxdoc
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
@@ -26,17 +28,24 @@
 	done
 	rm -f $(CURDIR)/debian/python*/usr/lib/python*/dist-packages/*.pth
 
-#override_dh_auto_test:
-#	: # run tests only if we can fetch original sources repository
-#	-mkdir -p build/test; cd build/test; \
-#         git config --global http.sslVerify false; git config --global user.name "TESTING"; git config --global user.email "TESTING@example.com"; \
-#         git clone git://github.com/gitpython-developers/GitPython; \
-#         cd GitPython; git submodule update --init --recursive; \
-#          for i in `seq 4`; do git reset --hard HEAD~1; done; git reset --hard origin/master; touch ../go
-#	[ ! -e build/test/go ] || \
-#     LC_ALL=C.UTF-8 \
-#     GIT_PYTHON_TEST_GIT_REPO_BASE=$(CURDIR)/build/test/GitPython \
-#	 nosetests -s -v git/test
+ifeq ($(docheck),docheck)
+# unset possibly set fake proxies
+export http_proxy=
+export https_proxy=
+
+override_dh_auto_test:
+	: # run tests only if we can fetch original sources repository
+	-mkdir -p build/test; cd build/test; \
+         git config --global http.sslVerify false; git config --global user.name "TESTING"; git config --global user.email "TESTING@example.com"; \
+         git clone git://github.com/gitpython-developers/GitPython; \
+         cd GitPython; git submodule update --init --recursive; \
+          for i in `seq 4`; do git reset --hard HEAD~1; done; git reset --hard origin/master; touch ../go
+	[ ! -e build/test/go ] || \
+     LC_ALL=C.UTF-8 \
+     GIT_PYTHON_TEST_GIT_REPO_BASE=$(CURDIR)/build/test/GitPython \
+	 nosetests -s -v git/test
+
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
version=3
opts=uversionmangle=s/\.RC/~RC/ \
http://pypi.debian.net/GitPython/GitPython-(.*)\.tar\.gz

## python-git 2.1.11

=== requirements.txt ===
gitdb>=0.6.4
ddt>=1.1.1

=== debian/changelog ===
python-git (2.1.11-1) unstable; urgency=medium

  * New upstream version 2.1.11

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 30 Jul 2018 11:45:18 +0900

python-git (2.1.10-1) unstable; urgency=medium

  * Bump Stanrads-Version to 4.1.5.
  * New upstream version 2.1.10.
  * debian/compat: 11

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 06 Jul 2018 17:40:17 +0900

python-git (2.1.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces

  [ TANIGUCHI Takaki ]
  * New upstream version 2.1.9
  * debian/control: Change python-git-doc with Multi-arch: foreign.
  * Bump Stanrads-Version to 4.1.4

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 08 May 2018 17:21:25 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Vincent Bernat <bernat@debian.org>,
            TANIGUCHI Takaki <takaki@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                git,
                python-all,
@@ -21,9 +21,9 @@
                      python3-mock,
                      python3-nose,
                      python3-smmap (>= 2),
-Standards-Version: 4.0.0
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-git.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-git.git
+Standards-Version: 4.1.5
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-git.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-git
 Homepage: https://github.com/gitpython-developers/GitPython
 
 Package: python-git
@@ -62,6 +62,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Python library to interact with Git repositories - docs
  python-git provides object model access to a Git repository, so Python can be
  used to manipulate it. Repository objects can be opened or created, which can

=== debian/watch ===
version=3
opts=uversionmangle=s/\.RC/~RC/ \
https://pypi.debian.net/GitPython/GitPython-(.*)\.tar\.gz

## python-git 3.0.5

=== debian/changelog ===
python-git (3.0.5-1~nd1~nd18.04+1) bionic; urgency=medium

  * Backported for bionic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 27 Jan 2020 22:22:49 -0500

python-git (3.0.5-1~nd1) neurodebian; urgency=medium

  * Downgrade debcompat to 11 for easier backports

 -- Yaroslav Halchenko <neurodebian@smaug.datalad.org>  Mon, 27 Jan 2020 22:14:19 -0500

python-git (3.0.5-1) unstable; urgency=medium

  * New upstream version 3.0.5

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 18 Nov 2019 17:44:13 +0900

python-git (3.0.4-1) unstable; urgency=medium

  * New upstream version 3.0.4

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 23 Oct 2019 18:57:23 +0900

python-git (3.0.3-3) unstable; urgency=medium

  * Add python-git to Breaks and Replaces to fix file conflict (Closes: #941756)

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 11 Oct 2019 11:52:29 +0900

python-git (3.0.3-2) unstable; urgency=medium

  * run dh_link only doc package (Closes: #941756)

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 07 Oct 2019 10:47:14 +0900

python-git (3.0.3-1) unstable; urgency=medium

  * New upstream version 3.0.3

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 04 Oct 2019 22:52:08 +0900

python-git (3.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ TANIGUCHI Takaki ]
  * New upstream version 3.0.1
  * debian-compat: Bump to 12
  * debian/rules:
    - Use pybuild.
    - Skip dh_auto_test (it works only in git repository)
  * debian/control:
    - Add python3-sphinx-rtd-theme to B-D.
    - Add pytyon-ddt to B-D.
    - Add python3-flakes to B-D
  * Upstream drops support python2. (Closes: #937786)
  * Add debian/salsa-ci.yml
  * Set upstream metadata fields: Repository.
  * Bump Standards-Version to 4.4.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 04 Oct 2019 12:53:41 +0900

=== debian/control ===
Source: python-git
Section: python
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>,
           TANIGUCHI Takaki <takaki@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>,
Build-Depends: debhelper (>= 11),
               dh-python,
               git,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-all,
               python3-setuptools,
               python3-pyflakes,
               python3-ddt
Build-Depends-Indep: python3-gitdb (>= 2),
                     python3-mock,
                     python3-nose,
                     python3-smmap (>= 2),
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/python-team/modules/python-git.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-git
Homepage: https://github.com/gitpython-developers/GitPython

Package: python3-git
Architecture: all
Depends: neurodebian-popularity-contest, git (>= 1:1.7) | git-core (>= 1:1.5.3.7),
         python3-gitdb (>= 2),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-git-doc,
XB-Python-Version: ${python3:Versions}
Description: Python library to interact with Git repositories - Python 3.x
 python-git provides object model access to a Git repository, so Python can be
 used to manipulate it. Repository objects can be opened or created, which can
 then be traversed to find parent commit(s), trees, blobs, etc.
 .
 This package provides the Python 3.x module.

Package: python-git-doc
Section: doc
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends},
         ${sphinxdoc:Depends},
Breaks: python-git
Replaces: python-git
Multi-Arch: foreign
Description: Python library to interact with Git repositories - docs
 python-git provides object model access to a Git repository, so Python can be
 used to manipulate it. Repository objects can be opened or created, which can
 then be traversed to find parent commit(s), trees, blobs, etc.
 .
 This package provides the documentation.

## python-git 3.0.7

=== debian/changelog ===
python-git (3.0.7-1) unstable; urgency=medium

  * New upstream version 3.0.7
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 11 Feb 2020 11:45:30 +0900

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: python-git
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>,
            TANIGUCHI Takaki <takaki@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                git,
                python3-sphinx,
@@ -26,7 +25,7 @@
 
 Package: python3-git
 Architecture: all
-Depends: neurodebian-popularity-contest, git (>= 1:1.7) | git-core (>= 1:1.5.3.7),
+Depends: git (>= 1:1.7) | git-core (>= 1:1.5.3.7),
          python3-gitdb (>= 2),
          ${misc:Depends},
          ${python3:Depends},
@@ -42,7 +41,7 @@
 Package: python-git-doc
 Section: doc
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends},
+Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
 Breaks: python-git
 Replaces: python-git

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,11 @@
 export HOME=$(CURDIR)/build/test
 
 %:
-	dh $@ --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html doc/source debian/python-git-doc/usr/share/doc/python-git-doc/html
+	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-git-doc/usr/share/doc/python-git-doc/html
 	dh_sphinxdoc
 endif
 
@@ -44,7 +44,9 @@
      LC_ALL=C.UTF-8 \
      GIT_PYTHON_TEST_GIT_REPO_BASE=$(CURDIR)/build/test/GitPython \
 	 nosetests -s -v git/test
-
+else
+override_dh_auto_test:
+	true
 endif
 
 override_dh_auto_clean:
@@ -60,4 +62,3 @@
 	unzip -d get-orig-source/doc get-orig-source/docs_$(DOC_VERSION).zip
 	tar -C get-orig-source -czvf python-git_$(UPSTREAM).orig-doc.tar.gz doc/
 	rm -rf get-orig-source
-

## python-git 3.1.7

=== debian/changelog ===
python-git (3.1.7-1) unstable; urgency=medium

  * New upstream version 3.1.7

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 26 Jul 2020 14:28:48 +0900

python-git (3.1.3-1) unstable; urgency=medium

  * New upstream version 3.1.3
    - Fix "git breaks fdroidserver autopkgtest: Failed to parse line: '
      git config pull.rebase false" (Closes: #961702)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 31 May 2020 12:52:14 +0900

python-git (3.1.2-1) unstable; urgency=medium

  * New upstream version 3.1.2

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 30 May 2020 13:17:59 +0900

python-git (3.1.1-1) unstable; urgency=medium

  * New upstream version 3.1.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 25 Apr 2020 13:07:25 +0900

python-git (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0
  * d/rules: remove python2 code
  * Bump Standards-Version to 4.5.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 05 Apr 2020 13:33:25 +0900

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                      python3-mock,
                      python3-nose,
                      python3-smmap (>= 2),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-git.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-git
 Homepage: https://github.com/gitpython-developers/GitPython

## python-git 3.1.12

=== debian/changelog ===
python-git (3.1.12-1) unstable; urgency=medium

  * New upstream version 3.1.12
  * Bump debian-compat to 13
  * Bump Standards-Version to 4.5.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 10 Jan 2021 12:09:50 +0900

python-git (3.1.11-1) unstable; urgency=medium

  * New upstream version 3.1.11

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 07 Nov 2020 12:07:37 +0900

python-git (3.1.9-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ TANIGUCHI Takaki ]
  * New upstream version 3.1.9

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 03 Oct 2020 18:38:33 +0900

## python-git 3.1.14

=== requirements.txt ===
gitdb>=4.0.1,<5

=== doc/requirements.txt ===
sphinx<2.0
sphinx_rtd_theme

=== debian/changelog ===
python-git (3.1.14-1+deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.

  [ Sylvain Beucler ]
  * CVE-2022-24439: Remote Code Execution (RCE) due to improper user input
    validation, which makes it possible to inject a maliciously crafted
    remote URL into the clone command. Exploiting this vulnerability is
    possible because the library makes external calls to git without
    sufficient sanitization of input arguments. (Closes: #1027163)
  * CVE-2023-40267: Follow-up fix for CVE-2022-24439. (Closes: 1043503)

  [ Daniel Leidert ]
  * CVE-2023-41040: Blind local file inclusion.
  * Adjust patches for CVE-2022-24439 and CVE-2023-40267.

 -- Daniel Leidert <dleidert@debian.org>  Tue, 29 Oct 2024 13:45:33 +0100

python-git (3.1.14-1) unstable; urgency=medium

  * New upstream version 3.1.14

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 28 Feb 2021 17:39:53 +0900

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 # Run tests only while building for neurodebian (~nd version suffix)
 docheck = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 | grep -q -e '~nd' && echo "docheck" || echo "nocheck" )
@@ -18,10 +17,6 @@
 endif
 
 override_dh_auto_install:
-	set -e ; for pyvers in $(PYTHONS); do \
-		python$$pyvers setup.py install --install-layout=deb \
-			--root $(CURDIR)/debian/python-git ; \
-	done
 	set -e ; for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-git ; \

=== debian/tests/control ===
Tests: run-test-suite
Depends: @, git, python3-pytest, ca-certificates, python3-ddt, python3-all
Restrictions: needs-internet, allow-stderr

## python-git 3.1.24

=== requirements.txt ===
gitdb>=4.0.1,<5
typing-extensions>=3.7.4.3;python_version<"3.10"

=== doc/requirements.txt ===
sphinx==4.1.2
sphinx_rtd_theme
sphinx-autodoc-typehints

=== debian/changelog ===
python-git (3.1.24-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ TANIGUCHI Takaki ]
  * New upstream version 3.1.24

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 28 Nov 2021 21:59:09 +0900

python-git (3.1.23-1) unstable; urgency=medium

  [ Steffen Möller ]
  * d/u/metadata: Added refs to registries
  * d/control: Introduced the project name to the description

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ TANIGUCHI Takaki ]
  * New upstream version 3.1.23
  * Bump Standards-Version to 4.6.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 12 Sep 2021 13:19:18 +0900

=== debian/control ===
Source: python-git
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>,
           TANIGUCHI Takaki <takaki@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               git,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-all,
               python3-setuptools,
               python3-pyflakes,
               python3-ddt
Build-Depends-Indep: python3-gitdb,
                     python3-mock,
                     python3-nose,
                     python3-smmap,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/packages/python-git.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-git
Homepage: https://github.com/gitpython-developers/GitPython

Package: python3-git
Architecture: all
Depends: git | git-core (>= 1:1.5.3.7),
         python3-gitdb,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-git-doc,
XB-Python-Version: ${python3:Versions}
Description: Python library to interact with Git repositories - Python 3.x
 The GitPython project provides object model access to a Git repository, so
 Python can be used to manipulate it. Repository objects can be opened or
 created, which can then be traversed to find parent commit(s), trees, blobs,
 etc.
 .
 This package provides the Python 3.x module.

Package: python-git-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Breaks: python-git
Replaces: python-git
Multi-Arch: foreign
Description: Python library to interact with Git repositories - docs
 python-git provides object model access to a Git repository, so Python can be
 used to manipulate it. Repository objects can be opened or created, which can
 then be traversed to find parent commit(s), trees, blobs, etc.
 .
 This package provides the documentation.

## python-git 3.1.27

=== debian/changelog ===
python-git (3.1.27-1ubuntu0.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: RCE due to improper user input validation
    - debian/patches/CVE-2022-24439.patch: Forbid unsafe protocol URLs and
      options by default.
    - CVE-2022-24439

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Tue, 21 Mar 2023 20:32:01 +0100

python-git (3.1.27-1) unstable; urgency=medium

  * New upstream version 3.1.27

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 01 Apr 2022 22:47:57 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-git
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Vincent Bernat <bernat@debian.org>,
            TANIGUCHI Takaki <takaki@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>,

## python-git 3.1.30

=== Makefile ===
.PHONY: all clean release force_release

all:
	@grep -Ee '^[a-z].*:' Makefile | cut -d: -f1 | grep -vF all

clean:
	rm -rf build/ dist/ .eggs/ .tox/

release: clean
	# Check if latest tag is the current head we're releasing
	echo "Latest tag = $$(git tag | sort -nr | head -n1)"
	echo "HEAD SHA       = $$(git rev-parse head)"
	echo "Latest tag SHA = $$(git tag | sort -nr | head -n1 | xargs git rev-parse)"
	@test "$$(git rev-parse head)" = "$$(git tag | sort -nr | head -n1 | xargs git rev-parse)"
	make force_release

force_release: clean
	git push --tags origin main
	python3 setup.py sdist bdist_wheel
	twine upload dist/*

=== debian/changelog ===
python-git (3.1.30-1ubuntu0.23.04.1) lunar-security; urgency=medium

  * SECURITY UPDATE: RCE due to improper user input validation
    - debian/patches/CVE-2023-40267.patch: Block insecure non-multi
      options in clone/clone_from.
    - CVE-2023-40267

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Thu, 31 Aug 2023 15:36:07 +0200

python-git (3.1.30-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Team upload.
  * Update standards version to 4.6.1, no changes needed.

  [ Jochen Sprickerhof ]
  * Switch d/watch to Github
  * New upstream version 3.1.30 (Closes: #1027163)
    - CVE-2022-24439: Remote Code Execution
  * Minimize d/rules
  * Update (build) dependencies (Closes: #1018503)
  * Add autopkgtest
  * Drop salsa-ci.yml
  * Bump policy version (no changes)
  * Move package description to source package
  * Add R³

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 07 Jan 2023 15:36:58 +0100

=== debian/control ===
Source: python-git
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Vincent Bernat <bernat@debian.org>,
           TANIGUCHI Takaki <takaki@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               pybuild-plugin-pyproject,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-all,
               python3-setuptools,
               python3-pyflakes,
               python3-pytest <!nocheck>,
               python3-ddt
Build-Depends-Indep: python3-gitdb,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/python-team/packages/python-git.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-git
Homepage: https://github.com/gitpython-developers/GitPython
Rules-Requires-Root: no
Description: Python library to interact with Git repositories
 The GitPython project provides object model access to a Git repository, so
 Python can be used to manipulate it. Repository objects can be opened or
 created, which can then be traversed to find parent commit(s), trees, blobs,
 etc.

Package: python3-git
Architecture: all
Depends: git,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-git-doc,
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package provides the Python 3.x module.

Package: python-git-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Breaks: python-git
Replaces: python-git
Multi-Arch: foreign
Description: ${source:Synopsis} - docs
 ${source:Extended-Description}
 .
 This package provides the documentation.
